# some definitions for backwards compatibility
# developed by Lalo Martins <lalo@laranja.org>
# this file is placed on public domain

from sys import version

if version >= '2.2' and version < '2.3':
    from backwards_compatibility_2_2 import *

if version < '2.2':
    class object: pass

if version < '2.2.1':
    False = 0
    True = 1

try:
    enumerate(())
except:
    def enumerate(thing):
        r = []
        for index in range(len(thing)):
            r.append((index, thing[index]))
        return r

del version
